import prisma from '../utilities/prisma' // Import the global Prisma instance
import { Object } from '@prisma/client'

class ObjectRepository {
  async getById(id: string): Promise<Object | null> {
    return prisma.object.findUnique({
      where: { id }
    })
  }

  async getAll(): Promise<Object[]> {
    return prisma.object.findMany()
  }
}

export default new ObjectRepository()
