import prisma from '../utilities/prisma' // Import the global Prisma instance
import { SpriteAction } from '@prisma/client'

class SpriteRepository {
  async getById(id: string) {
    return prisma.sprite.findUnique({
      where: { id },
      include: {
        spriteActions: true
      }
    })
  }

  async getAll() {
    return prisma.sprite.findMany({
      include: {
        spriteActions: true
      }
    })
  }

  async getSpriteActions(spriteId: string): Promise<SpriteAction[]> {
    return prisma.spriteAction.findMany({
      where: {
        spriteId
      }
    })
  }
}

export default new SpriteRepository()
