import prisma from '../utilities/prisma' // Import the global Prisma instance
import { Tile } from '@prisma/client'

class TileRepository {
  async getById(id: string): Promise<Tile | null> {
    return prisma.tile.findUnique({
      where: { id }
    })
  }

  async getAll(): Promise<Tile[]> {
    return prisma.tile.findMany()
  }
}

export default new TileRepository()
