import dotenv from 'dotenv'

dotenv.config()

class config {
  static ENV: string = process.env.ENV || 'development'
  static REDIS_URL: string = process.env.REDIS_URL || 'redis://@127.0.0.1:6379/4'
  static HOST: string = process.env.HOST || '0.0.0.0'
  static PORT: number = process.env.PORT ? parseInt(process.env.PORT) : 6969
  static JWT_SECRET: string = process.env.JWT_SECRET || 'secret'

  static ALLOW_DIAGONAL_MOVEMENT: boolean = process.env.ALLOW_DIAGONAL_MOVEMENT === 'true'

  static DEFAULT_CHARACTER_ZONE: number = parseInt(process.env.DEFAULT_CHARACTER_ZONE || '1')
  static DEFAULT_CHARACTER_X: number = parseInt(process.env.DEFAULT_CHARACTER_POS_X || '0')
  static DEFAULT_CHARACTER_Y: number = parseInt(process.env.DEFAULT_CHARACTER_POS_Y || '0')
}

export default config
