import { Socket } from 'socket.io'
import { Character, User } from '@prisma/client'

export type TSocket = Socket & {
  user?: User
  characterId?: number
  handshake?: {
    query?: {
      token?: any
    }
  }
  request?: {
    headers?: {
      cookie?: any
    }
  }
}

export type ExtendedCharacter = Character & {
  isMoving?: boolean
  resetMovement: boolean
}

export type TAsset = {
  key: string
  url: string
  group: 'tiles' | 'objects' | 'sprites' | 'sprite_animations' | 'sound' | 'music' | 'ui' | 'font' | 'other'
  updatedAt: Date
  frameCount?: number
  frameWidth?: number
  frameHeight?: number
}

export type WorldSettings = {
  date: Date
  isRainEnabled: boolean
  isFogEnabled: boolean
  fogDensity: number
}

// export type TCharacter = Socket & {
//   user?: User
//   character?: Character
// }
